#include <wx/stdpaths.h>
#include <wx/filename.h>
#include <wx/icon.h>
#include "appicon.h"

wxString AppIcon::getPath()
{
    wxString appPath = wxStandardPaths::Get().GetExecutablePath();
    wxString drive, directory;
    wxFileName::SplitPath ( appPath, &drive, &directory, NULL, NULL );
    wxString appDir =
#ifdef __WXMSW__
        drive + _T(":") +
#endif
        directory +
#ifndef __WXMSW__
        wxFileName::GetPathSeparator() +
        _T("..") +
        wxFileName::GetPathSeparator() +
        _T("share") +
        wxFileName::GetPathSeparator() +
        _T("smasher") +
#endif
        wxFileName::GetPathSeparator();

    wxString pngPath = appDir + wxFileName::GetPathSeparator() + _T("png") + wxFileName::GetPathSeparator() + _T("smasher.png");

    return pngPath;
}

