#ifndef __ENUM_H__
#define __ENUM_H__

enum filterModulationTypes { FFT_MOD_SWEEP_IN, FFT_MOD_SWEEP_OUT, FFT_MOD_NONE };
enum filterLfoTypes { FFT_LFO_SINPOW2, FFT_LFO_SINPLUS, FFT_LFO_SAWTOOTH,
                      FFT_LFO_SQUARE, FFT_LFO_TRIANGLE, FFT_LFO_SAMPLEANDHOLD, FFT_LFO_NONE
                    };
enum filterTypes { FFT_LOWPASS, FFT_HIGHPASS, FFT_BANDPASS, FFT_BANDSTOP };
enum tremoloTypes { TREMOLO_SIN_POW2, TREMOLO_SIN, TREMOLO_SAWTOOTH, TREMOLO_SQUARE, TREMOLO_TRIANGLE };
//enum sliceTypes { SLICE_ZEROCROSSING, SLICE_CROSSFADE };
enum stereoMode { TREMOLO_SYNCHRONOUS, TREMOLO_PING_PONG, TREMOLO_LEFT_DELAYED, TREMOLO_RIGHT_DELAYED };
enum distortTypes { DISTORT_B3OVERDRIVE, DISTORT_FLATRESPONSE, DISTORT_70SFUZZGUITAR, DISTORT_TUBEDRIVE, DISTORT_PROPORTIONAL };
enum bitCrushTypes { BITCRUSH_4BIT, BITCRUSH_6BIT, BITCRUSH_8BIT, BITCRUSH_10BIT };
enum downSampleTypes { DOWNSAMPLE_1, DOWNSAMPLE_2, DOWNSAMPLE_4, DOWNSAMPLE_8, DOWNSAMPLE_16, DOWNSAMPLE_32 };
enum fadeDirections {FADE_IN, FADE_OUT};
enum fadeTypes {FADE_LOG10, FADE_LOG5, FADE_LOG3, FADE_LOG1p5 };

#endif

