#ifndef LOOPTIMER_H
#define LOOPTIMER_H

#include <wx/timer.h>

class wxMediaCtrl;
class wxFrame;

class LoopTimer : public wxTimer
{
public:
    LoopTimer(
        wxFrame *frameParameter,
        wxMediaCtrl *mediaCtrlParameter,
        wxMediaCtrl *mediaCtrlParameterAlt,
        bool *loopState );
    void Notify();
private:
    wxFrame *frame;
    wxMediaCtrl *mediaCtrl, *mediaCtrlAlt;
    bool *loopState;
};

#endif
