#ifndef SMASHRANDOMMAPPER_H
#define SMASHRANDOMMAPPER_H

#include <vector>
#include <algorithm>
#include "smashmapper.h"

template<class T>
class SmashRandomMapper : public SmashMapper<T>
{
public:
    SmashRandomMapper ( );
    void map ( std::vector<T>& resultVector );
};

template<class T>
SmashRandomMapper<T>::SmashRandomMapper(  ) {}

template<class T>
void SmashRandomMapper<T>::map( std::vector<T>& resultVector )
{
    std::random_shuffle ( resultVector.begin ( ), resultVector.end ( ) );
}

#endif
