#include <vector>

#include <iostream>//to be removed

#include "urlprovider.h"
#include "keymapper.h"

UrlProvider::UrlProvider()
{
}

std::string UrlProvider::getDownloadUrl()
{
    return getUrl ( URL_DOWNLOAD );
}

std::string UrlProvider::getShareUrl()
{
    return getUrl ( URL_SHARE );
}

std::string UrlProvider::getRateUrl()
{
    return getUrl ( URL_RATE );
}

std::string UrlProvider::getRefreshUrl()
{
    return getUrl ( URL_REFRESH );
}

std::string UrlProvider::getRegisterUrl()
{
    return getUrl ( URL_REGISTER );
}

std::string UrlProvider::getPasscodeUrl()
{
    return getUrl ( URL_PASSCODE );
}

std::string UrlProvider::getUrl ( int urlType )
{
    std::string scrambledUrl, key;
    switch ( urlType )
    {
    case URL_SHARE:
        scrambledUrl = "s:etashthpm//ruesoer.gofrcp/ee_s.nrthputpse.ph";
        key = "presettoshare";
        break;
    case URL_REFRESH:
        scrambledUrl = "hme/:tsrahtsp/eo.erofnr.sgucltelu/_siettplh.pp";
        key = "preseteldorado";
        break;
    case URL_REGISTER:
        scrambledUrl = "st/tpshha:/morr.scerfoueie/.nrgsgeteheer_rtppus.";
        key = "registeruser";
        break;
    case URL_DOWNLOAD:
        scrambledUrl = "em:rtsahs/htp/.ornofrege.suceput/_rseletplh.pp";
        key = "presetofchoice";
        break;
    case URL_PASSCODE:
        scrambledUrl = "woe/tnhpw/:w.tpeoakal.np/ursc.ncm/aiph.gs.sgeo.hstpdpcsade/p";
        key = "getuserpasscode";
        break;
    case URL_RATE:
        scrambledUrl = "hm:tsr.hsatp//sengerrt/o.eucofrepepepatt.e_hsr";
        key = "presetstarrating";
        break;
    default:
        break;
    }

    std::string url;
    unscramble ( scrambledUrl, key, url );
    return url;
}

void UrlProvider::unscramble( const std::string& scrambledUrl, const std::string& key, std::string& url )
{
    url.clear();
    std::vector<size_t> asciiVector;

    size_t limit = scrambledUrl.size();
    for ( size_t i = 0; i < limit; i++ )
    {
        asciiVector.push_back ( ( size_t ) scrambledUrl.at ( i ) );
    }

    KeyMapper<char, size_t> *kmUrl = new KeyMapper<char, size_t>( key, asciiVector );
    kmUrl->unMap ( asciiVector );

    for ( size_t i = 0; i < limit; i++ )
    {
        url += ( char ) asciiVector.at ( i );
    }
}
