#ifndef WARPGRID_H
#define WARPGRID_H

#include <vector>

#include <wx/string.h>
class wxWindow;

#include "monochromegrid.h"

class WarpGrid : public MonochromeGrid
{
public:
    WarpGrid ( wxWindow *parent, int id, size_t rowNo, size_t colNo, int cellHeight,
               int cellWidth = -1, bool verticalConstraint = true );
    void getWarpKey ( std::string &key );
    wxString getPatternName ( size_t choice );
    void preset ( size_t choice );
    size_t getPresetCount () {
        return presetCount;
    };
private:
    size_t presetCount;
    std::vector< std::pair< std::pair< size_t *, size_t>, wxString > > patternArrayVector;
};

#endif
