#ifndef WRAPCSOUNDDISK_H
#define WRAPCSOUNDDISK_H

#include <string>
#include <wx/string.h>
#include <vector>
#include <utility>
#include <csound/csound.h>

class WrapCSoundDisk
{
public:
    WrapCSoundDisk( const wxString& cmd );
    ~WrapCSoundDisk();
    bool perform( );
    void setDoubleParameter ( const std::string& name, double value );
    void printMessages();
private:
    bool success;
    CSOUND *csound;
    std::vector<std::pair<std::string, double> > doubleParameterVector;
};

#endif
