#ifndef FX_PLOT_WINDOW_H
#define FX_PLOT_WINDOW_H

#include <wx/dcclient.h>

class FxPlotWindow : public wxWindow
{
public:
    FxPlotWindow( wxWindow *parent, int id, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize );
    void set ( std::basic_string<double> *data );
private:
    std::basic_string<wxPoint> points;
    std::basic_string<double> *data;
    int height, width;
    void DoPaint( wxClientDC& dc );
    void OnPaint( wxPaintEvent& event);
    void prepareDC ( wxClientDC& dc );
    void updatePoints();
    DECLARE_EVENT_TABLE();
};

#endif

