#include "smasherApp.h"
#include "smasherMain.h"

#ifndef __WXMSW__
#include "xpm/smashericon.xpm"
#endif

#include <wx/filename.h>
#include "appicon.h"

IMPLEMENT_APP(smasherApp);

bool smasherApp::OnInit()
{
    smasherFrame *frame = new smasherFrame(0L, _("smasher"));

#ifdef __WXMSW__
    frame->SetIcon( wxICON ( aaaa ) );
#else
    if  ( wxFileName::FileExists ( AppIcon::getPath() ) )
    {
        wxInitAllImageHandlers();
        wxIcon icon;
        icon.CopyFromBitmap ( wxBitmap ( AppIcon::getPath(), wxBITMAP_TYPE_PNG ) );
        frame->SetIcon ( icon );
    }
    else
        frame->SetIcon ( wxICON ( smasher_icon ) );
#endif

    frame->Show();
    return true;
}
