#include "smashercriticalsectionlocker.h"


smasherCriticalSectionLocker::smasherCriticalSectionLocker(
    wxCriticalSection *criticalSectionParameter, size_t *criticalSectionRefCounterParameter )
{
    criticalSection = criticalSectionParameter;
    criticalSectionRefCounter = criticalSectionRefCounterParameter;

    if ( ! ( *criticalSectionRefCounter ) )
        criticalSection->Enter();
    ( *criticalSectionRefCounter ) ++;
}

smasherCriticalSectionLocker::~smasherCriticalSectionLocker()
{
    ( *criticalSectionRefCounter )--;
    if ( ! ( *criticalSectionRefCounter ) )
        criticalSection->Leave();
}
