#ifndef SMASHREVERSEMAPPER_H
#define SMASHREVERSEMAPPER_H

#include <vector>
#include <algorithm>
#include "smashmapper.h"

template<class T>
class SmashReverseMapper : public SmashMapper<T>
{
public:
    SmashReverseMapper ( );
    void map ( std::vector<T>& resultVector );
};

template<class T>
SmashReverseMapper<T>::SmashReverseMapper(  ) {}

template<class T>
void SmashReverseMapper<T>::map( std::vector<T>& resultVector )
{
    std::reverse( resultVector.begin(), resultVector.end() );
}

#endif
