#ifndef SMASH_THREAD_H
#define SMASH_THREAD_H

#include <string>
#include <wx/thread.h>
#include "wav16smash.h"

enum smashStates { SMASH_THREAD_INIT, SMASH_THREAD_RUNNING, SMASH_THREAD_FINISHED, SMASH_THREAD_ERROR };

class SmashThread : public wxThread
{
public:
    SmashThread (
        Wav16Smash *w,
        int *state,
        std::string *message,
        int sliceNo );
    virtual void *Entry();
    virtual void OnExit();
private:
    Wav16Smash *myW;
    int *myStatePtr;
    std::string *myMessagePtr;
    int mySliceNo;
};

#endif
