#ifndef UNDO_HISTORY_H
#define UNDO_HISTORY_H

#include <wx/wx.h>
#include <vector>

class UndoHistory
{
public:
    UndoHistory();
    void pushState ( const wxString& state );
    void initialize ( const wxString& state );
    wxString undo();
    wxString redo();
    bool canUndo();
    bool canRedo();
private:
    std::vector<wxString> history;
    size_t index;
};

#endif
