#ifndef UPDATE_DIALOG_H
#define UPDATE_DIALOG_H

#include <wx/dialog.h>
class wxHyperlinkCtrl;
class wxButton;
class wxStaticText;

class UpdateDialog : public wxDialog
{
public:
    UpdateDialog (
        wxWindow *parent,
        const wxString& title,
        const wxString& message,
        const wxString& urlLabel,
        const wxString& url );
    ~UpdateDialog();
    void OnOk ( wxCommandEvent& e );
private:
    wxStaticText *staticText;
    wxHyperlinkCtrl *hyperlink;
    wxButton *button;
    DECLARE_EVENT_TABLE()
};

#endif
