#ifndef WAVECURVE_H
#define WAVECURVE_H

#include <wx/wx.h>

//LINUX
#ifdef __WXMSW__
#include <wx/plot.h>
#else
#include <wx/plot/plot.h>
#endif

#include <string>

class WaveCurve : public wxPlotCurve
{
public:
    WaveCurve (
        int offsetY,
        double startY,
        double endY,
        const std::basic_string<double>* dataParameter );
    wxInt32 GetStartX();
    wxInt32 GetEndX();
    double GetY( wxInt32 x );
private:
    const std::basic_string<double> *dataPtr;
};

#endif

